UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Observer mokhtarbouain
Observer
4,908 Views
Registered: ‎03-21-2013

Enable cpufreq for zynq 7000

Jump to solution

Hi all, 

I use the Zc702 board and I need the cpufreq option to scaling the frequency of the cortex-a9 on zynq board.

So, how can I do this? there is any method to do it quickly ? (there is Linux kernel contains this feature? or I have to patch the kernel available?).

Thank you

Bouain 

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Xilinx Employee
Xilinx Employee
6,328 Views
Registered: ‎12-17-2007

Re: Enable cpufreq for zynq 7000

Jump to solution
For proper frequency scaling support, please update to a more recent kernel (3.8 or later) from our Git repository.
-------------------------------------------
this space intentionally left blank
0 Kudos
4 Replies
Scholar sampatd
Scholar
4,899 Views
Registered: ‎09-05-2011

Re: Enable cpufreq for zynq 7000

Jump to solution
0 Kudos
Observer mokhtarbouain
Observer
4,896 Views
Registered: ‎03-21-2013

Re: Enable cpufreq for zynq 7000

Jump to solution

Hi,

Thank for your reply.

Yes, I saw it, but there are no details explain how can I do it?

That is means how can I add the cpufreq option to Linux for zynq.

 

Bouain 

0 Kudos
Observer mokhtarbouain
Observer
4,864 Views
Registered: ‎03-21-2013

Re: Enable cpufreq for zynq 7000

Jump to solution

I am using the 3.5.0-14.3 kernel, and I download it from xilinx website.

uname -a
Linux ZC702 3.5.0-14.3-build2 #1 SMP PREEMPT Tue Oct 23 11:12:17 PDT 2012 armv7l GNU/Linux

 

0 Kudos
Highlighted
Xilinx Employee
Xilinx Employee
6,329 Views
Registered: ‎12-17-2007

Re: Enable cpufreq for zynq 7000

Jump to solution
For proper frequency scaling support, please update to a more recent kernel (3.8 or later) from our Git repository.
-------------------------------------------
this space intentionally left blank
0 Kudos